<template>
  <div>
    <div>

      <br />
      <h2>Dodaj sensor:</h2>

      <form
          v-on:submit.prevent="submitForm"
      >

        <div class="form-group">
          <label for="phoneNo">Numer sensora:</label>
          <input type="text" class="form-control" id="phoneNo" placeholder="Nr."
                 v-model="form.phoneNo" required>
        </div>

        <div class="form-group">
          <button class="btn btn-primary">Dodaj</button>
        </div>
      </form>
    </div>

  </div>
</template>

<script>
import SensorService from '../../services/sensor.service';
import sensorobject from "@/models/sensorobject";

export default {
  name: 'AddSensor',
  components: {
  },
  data() {
    return {
      content: '',
      form: new sensorobject('', []),
    };
  },
  computed: {
    currentUser() {
      return this.$store.state.auth.user;
    }
  },
  mounted() {

  },
  methods: {
    submitForm() {

      if (!this.currentUser) {
        this.$router.push('/login');
      } else {

        if (!this.currentUser) {
          this.$router.push('/login');
        } else if (this.$route.query.beehiveId) {

          this.form.beehive= {id:this.$route.query.beehiveId};

            SensorService.addNewSensor(this.form).then(
                response => {
                  this.content = response.data;

                  alert('Sensor dodany poprawnie!')

                  this.$router.push('/beehive?beehiveid=' + this.$route.query.beehiveId)

                },
                error => {
                  this.content =
                      (error.response && error.response.data && error.response.data.message) ||
                      error.message ||
                      error.toString();
                }
            );
        }
      }
    }

  }
};
</script>

<style scoped>
label {
  display: block;
  margin-top: 10px;
}
</style>